export declare class NotificationPrefs {
    email: boolean;
    whatsapp: boolean;
}
export declare const NotificationPrefsSchema: import("mongoose").Schema<NotificationPrefs, import("mongoose").Model<NotificationPrefs, any, any, any, import("mongoose").Document<unknown, any, NotificationPrefs, any> & NotificationPrefs & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, NotificationPrefs, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<NotificationPrefs>, {}> & import("mongoose").FlatRecord<NotificationPrefs> & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v: number;
}>;
